local_costmap:
  global_frame: robot/odom
  robot_base_frame: robot/chassis
  update_frequency: 2.0
  publish_frequency: 2.0
  static_map: false
  rolling_window: true
  width: 4.0
  height: 4.0
  resolution: 0.025
  origin_x: -2.0
  origin_y: -2.0
  
#  plugins:
#  - {name: static_layer, type: "rtabmap_costmap_plugins::StaticLayer"}
#  - {name: obstacle_layer, type: "costmap_2d::ObstacleLayer"}
#  - {name: inflation_layer, type: "costmap_2d::InflationLayer", inflation_radius: 0.55, cost_scaling_factor: 1.0}

  observation_sources: point_cloud_sensor

  # assuming receiving a cloud from rtabmap_util/obstacles_detection node
  point_cloud_sensor: {
    sensor_frame: robot/camera,
    data_type: PointCloud2, 
    topic: /robot/stereo/points2, 
    expected_update_rate: 0.5, 
    marking: true, 
    clearing: true,
    min_obstacle_height: 0.0,
    max_obstacle_height: 1.0}
